Bug 1281990 - UX305CA Touchpad is not functional
UX305CA Touchpad is not functional
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 19:40 EST by Chris
Modified: 2016-03-22 04:45 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-16 04:38:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from `sudo lscpi -vvv` (16.10 KB, text/plain)
2015-11-13 19:40 EST, Chris
no flags Details
dmesg - 4.4.0-0.rc1.git0.1.fc24.x86_64 (66.92 KB, text/plain)
2015-11-18 14:06 EST, Chris
no flags Details
dmesg output for kernel-4.4.0-0.rc6.git1.2.fc24.x86_64 (touchpad works) (65.06 KB, text/plain)
2016-01-11 02:40 EST, D. Hugh Redelmeier
no flags Details
dmesg output for kernel-4.4.0-0.rc8.git1.2.fc24.x86_64 (touchpad fails) (63.44 KB, text/plain)
2016-01-11 02:41 EST, D. Hugh Redelmeier
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1514066 None None None Never

  None (edit)
Description Chris 2015-11-13 19:40:47 EST
Created attachment 1093961 [details]
Output from `sudo lscpi -vvv`

The touchpad is not recognized on a new installation of Fedora 23 on an Asus Zenbook UX305CA-EHM1.

Release: Fedora 23
Kernel: 4.2.6-300.fc23.x86_64
xorg-x11-drv-synaptics: 1.8.3-1.fc23

How reproducible: Always

Steps to Reproduce:
1. Clean install of Fedora 23 on a UX305CA (Live CD also demonstrates issue)
2. Interact with the touchpad

Actual results: Touchpad is unresponsive

Expected results: Touchpad should respond and cursor should react

Additional info:
• Touchpad functions in Windows 10 as expected.
• Attaching an external USB mouse functions as expected with the cursor responding to mouse input
• Issue is also present in Rawhide Kernel 4.4.0-0.rc0.git8.1.fc24.x86_64
Comment 1 Benjamin Tissoires 2015-11-18 12:08:28 EST
Can you attach a dmesg of the 4.4-rc0 kernel?

This touchpad has been added in 4.3, so 4.2 will not work.
In 4.4-rc0, there should be the module elan_i2c trying to handle the touchpad. This should give us a better idea why it doesn't work here.
Comment 2 Chris 2015-11-18 14:06 EST
Created attachment 1096203 [details]
dmesg - 4.4.0-0.rc1.git0.1.fc24.x86_64
Comment 3 Benjamin Tissoires 2015-11-20 03:48:15 EST
Thanks for the logs.
Unfortunately, it shows:
[   16.636101] i2c_designware i2c_designware.0: i2c_dw_handle_tx_abort: lost arbitration
[   16.636110] elan_i2c i2c-ELAN1000:00: writing cmd (0x0005) failed: -11
[   16.636113] elan_i2c i2c-ELAN1000:00: device reset failed: -11
[   16.636115] elan_i2c i2c-ELAN1000:00: device initialize failed: -11

Which means that the i2c controller is failing.

Maybe it would be worth trying a v4.3 kernel. I'll try to raise the problem to the Elan developers, but I have no clue if the reset command issued by elan_i2c breaks the i2c bus, or if there is something else breaking the i2c bus.
Comment 4 Benjamin Tissoires 2015-11-20 03:53:11 EST
For the record, question asked upstream:

http://thread.gmane.org/gmane.linux.kernel.input/46926
Comment 5 Chris 2015-12-21 23:24:41 EST
Update: Touchpad appears to respond after updating to kernel 4.4.0-0.rc5.git3.1.fc24. I'm unsure how fully-implemented this support is, however pressing down on the touchpad, single taps, double taps, two-finger scrolling all appear to function as expected with this kernel build. :)
Comment 6 János Illés 2015-12-22 03:02:08 EST
The touchpad does not work with vanilla rc5 nor rc6 kernels.
Comment 7 Chris 2015-12-22 10:13:07 EST
Touchpad continues to function with the above mentioned Fedora kernel build. Could it be this patch: http://pkgs.fedoraproject.org/cgit/kernel.git/tree/0014-mfd-intel-lpss-Pass-SDA-hold-time-to-I2C-host-contro.patch ?

Additional Notes: With 4.4.0-0.rc5.git3.1.fc24 Sensitivity is a little high (The options to adjust this are greyed out in KDE input settings) and two-finger scrolling is a bit hit-and-miss, requiring a more deliberate motion on the touchpad for it to recognize it.
Comment 8 Josh Boyer 2016-01-02 11:20:00 EST
Fedora backported a series of patches for bug 1275718, so that may have fixed this issue.
Comment 9 D. Hugh Redelmeier 2016-01-11 02:37:55 EST
Summary: latest rawhide kernel breaks touchpad again

I have one of these notebooks.  Several things did not work when using the standard Fedora 23 kernel of last week (and earlier).  Most important: touchpad did not work, screen resolution was not discovered.

These important things were fixed when I installed a rawhide kernel.  Today I did an update and got a different rawhide kernel and the touchpad stopped working.

Touchpad not working, screen resolution undetected:
kernel-4.2.3-300.fc23.x86_64
kernel-4.2.8-300.fc23.x86_64

Touchpad worked, screen resolution detected:
kernel-4.4.0-0.rc6.git1.2.fc24.x86_64

Touchpad not working, screen resolution detected:
kernel-4.4.0-0.rc8.git1.2.fc24.x86_64

The rawhide kernels are from the nodebug kernel repository.

I will submit dmesg output from the two rawhide kernels in case that is useful

This problem was duplicated on a different UX305C.
Comment 10 D. Hugh Redelmeier 2016-01-11 02:40 EST
Created attachment 1113516 [details]
dmesg output for kernel-4.4.0-0.rc6.git1.2.fc24.x86_64 (touchpad works)
Comment 11 D. Hugh Redelmeier 2016-01-11 02:41 EST
Created attachment 1113517 [details]
dmesg output for kernel-4.4.0-0.rc8.git1.2.fc24.x86_64 (touchpad fails)
Comment 12 Benjamin Tissoires 2016-01-11 03:46:08 EST
(In reply to D. Hugh Redelmeier from comment #9)
> Summary: latest rawhide kernel breaks touchpad again
>
> Touchpad not working, screen resolution undetected:
> kernel-4.2.3-300.fc23.x86_64
> kernel-4.2.8-300.fc23.x86_64
> 
> Touchpad worked, screen resolution detected:
> kernel-4.4.0-0.rc6.git1.2.fc24.x86_64
> 
> Touchpad not working, screen resolution detected:
> kernel-4.4.0-0.rc8.git1.2.fc24.x86_64
> 

It seems that your touchpad is fixed by bug #1275718. A different user complained about a regression with the fixes from #1275718. We dropped the patches from kernel-4.4.0-0.rc8.* in rawhide, and this made your touchpad unusable.
After further testings, the regression was a different problem that was hidden by the non working i2c controller. The patches are back in rawhide, so the next release of the kernel in rawhide should get your touchpad working.

Sorry for the inconvenience.
Comment 13 Benjamin Tissoires 2016-03-16 04:38:10 EDT
There has been no feedback after my last comment. I assume it is fixed now.
I am closing the bug as CURRENTRELEASE. Feel free to re-open it if the problem still persists.
Comment 14 Gerwin Krist 2016-03-22 04:45:44 EDT
Hi,

I still getting the same errors as Benjamin Tissoires with the latest Fedora 23 kernel: 4.4.5-200.fc22 on a ASUS Zenbook UX305CA

Note You need to log in before you can comment on or make changes to this bug.